#
# Conditional build:
%bcond_without	doc		# Sphinx documentation
%bcond_with	tests		# unit tests (require DISPLAY)

%define		module	pygobject
Summary:	Python 3 bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki GObject
Name:		python3-pygobject3
Version:	3.50.0
Release:	1
License:	LGPL v2+
Group:		Libraries/Python
Source0:	https://download.gnome.org/sources/pygobject/3.50/%{module}-%{version}.tar.xz
# Source0-md5:	8f34e4bc1d7d57faf558180b0051c9ef
URL:		https://pygobject.gnome.org/
BuildRequires:	cairo-gobject-devel
BuildRequires:	glib2-devel >= 1:2.67.4
BuildRequires:	gobject-introspection-devel >= 1.64.0
BuildRequires:	libffi-devel >= 3.0
BuildRequires:	meson >= 0.64.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.9
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-pycairo-devel >= 1.16.0
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov >= 1:4.13
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-furo
BuildRequires:	python3-sphinx_copybutton >= 0.5.2
BuildRequires:	python3-sphinx_rtd_theme
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.67.4
Requires:	gobject-introspection >= 1.64.0
Requires:	python3-modules >= 1:3.9
Conflicts:	python3-pygobject < 2.28.6-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3 bindings for GObject library.

%description -l pl.UTF-8
Wiązania Pythona 3 do biblioteki GObject.

%package devel
Summary:	Python 3 bindings for GObject library - development metapackage
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki GObject - metapakiet programistyczny
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygobject3-common-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.67.4
Requires:	libffi-devel >= 3.0
Requires:	python3-devel >= 1:3.9
Obsoletes:	python3-pygobject3-examples < 3.50

%description devel
This metapackage gathers files required to develop GObject bindings
for Python 3.

%description devel -l pl.UTF-8
Ten metapakiet gromadzi pliki wymagane do tworzenia wiązań biblioteki
GObject dla Pythona 3.

%package -n python-pygobject3-common-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.67.4
Requires:	libffi-devel >= 3.0

%description -n python-pygobject3-common-devel
This package contains headers files required to build wrappers for
GObject addon libraries so that they interoperate with Python
bindings.

%description -n python-pygobject3-common-devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe wymagane do zbudowania funkcji do
biblioteki GObject, tak by mogły te biblioteki kooperowaći z
wiązaniami Pythona.

%package apidocs
Summary:	API documentation for Python GObject library
Summary(pl.UTF-8):	Dokumentacja biblioteki Pythona GObject
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python GObject library.

%description apidocs -l pl.UTF-8
Dokumentacja biblioteki Pythona GObject.

%prep
%setup -q -n %{module}-%{version}

%build
%meson build \
	%{!?with_tests:-Dtests=false}

%ninja_build -C build

%if %{with doc}
%{__make} -C docs
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py3_sitescriptdir}/gi/overrides/__pycache__

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.rst
%dir %{py3_sitedir}/gi
%attr(755,root,root) %{py3_sitedir}/gi/_gi.cpython*.so
%attr(755,root,root) %{py3_sitedir}/gi/_gi_cairo.cpython*.so
%{py3_sitedir}/gi/*.py
%{py3_sitedir}/gi/__pycache__
%dir %{py3_sitedir}/gi/overrides
%{py3_sitedir}/gi/overrides/*.py
%{py3_sitedir}/gi/overrides/__pycache__
%dir %{py3_sitedir}/gi/repository
%{py3_sitedir}/gi/repository/*.py*
%{py3_sitedir}/gi/repository/__pycache__
%dir %{py3_sitedir}/pygtkcompat
%{py3_sitedir}/pygtkcompat/*.py
%{py3_sitedir}/pygtkcompat/__pycache__
%{py3_sitedir}/PyGObject-%{version}.dist-info
%dir %{py3_sitescriptdir}/gi
%dir %{py3_sitescriptdir}/gi/overrides
%dir %{py3_sitescriptdir}/gi/overrides/__pycache__

%files devel
%defattr(644,root,root,755)

%files -n python-pygobject3-common-devel
%defattr(644,root,root,755)
%{_includedir}/pygobject-3.0
%{_pkgconfigdir}/pygobject-3.0.pc

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/{_images,_static,devguide,guide,*.html,*.js}
%endif
%changelog
* Sat Sep 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pygobject3.git;a=log;h=master

* Thu Sep 12 2024 Jakub Bogusz <qboosh@pld-linux.org> e002e34
- updated to 3.50.0, examples are gone; require pythonprov 4.13+ for .dist-info support

* Sat Apr 06 2024 Jakub Bogusz <qboosh@pld-linux.org> e634c64
- updated to 3.48.2

* Sun Mar 10 2024 Jakub Bogusz <qboosh@pld-linux.org> a8f1ff2
- updated to 3.48.1

* Sun Mar 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 4f48a4e
- updated to 3.48.0

* Sun Sep 10 2023 Jan Palus <atler@pld-linux.org> 21f9606
- bump required python version

* Sun Sep 10 2023 Jakub Bogusz <qboosh@pld-linux.org> b9f312f
- updated to 3.46.0

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 51eb443
- updated to 3.44.1

* Tue Mar 21 2023 Jan Palus <atler@pld-linux.org> 98caed7
- up to 3.44.0

* Sun Feb 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 8d4994f
- release 2 (libffi 3.4.x)

* Mon Jul 25 2022 Jakub Bogusz <qboosh@pld-linux.org> a36e616
- updated to 3.42.2

* Mon Apr 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 48c23ab
- updated to 3.42.1

* Sun Apr 10 2022 Jan Rękorajski <baggins@pld-linux.org> a49043d
- fix packaging of overrides dirs, rel 6

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> 7d4ce14
- Release 5 (by relup.sh)

* Mon Apr 04 2022 Jan Rękorajski <baggins@pld-linux.org> 3234d26
- updated doc BRs
- provide overrides base dir for noarch/purelib packages

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a5b9a5c
- rebuild with tests and docs

* Tue Mar 29 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cd077a1
- Relup

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8ddb982
- rebuild with python 3.10

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> d648dff
- updated to 3.42.0

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> 262cfce
- up to 3.40.1

* Mon Mar 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 312086e
- rpm version for noarch subpackages

